playerc_bumper_t Struct Reference
bumper

Bumper proxy data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
int | pose_count
| Number of pose values. More...
player_bumper_define_t * | poses
| Pose of each bumper relative to robot (mm, mm, deg, mm, mm). More...
int | bumper_count
| Number of points in the scan. More...
uint8_t * | bumpers
| Bump data: unsigned char, either boolean or code indicating corner. More...

## Detailed Description

Bumper proxy data.

## Member Data Documentation

int playerc_bumper_t::bumper_count

Number of points in the scan.

uint8_t* playerc_bumper_t::bumpers

Bump data: unsigned char, either boolean or code indicating corner.

playerc_device_t playerc_bumper_t::info

Device info; must be at the start of all device structures.

int playerc_bumper_t::pose_count

Number of pose values.

player_bumper_define_t* playerc_bumper_t::poses

Pose of each bumper relative to robot (mm, mm, deg, mm, mm).

This structure is filled by calling playerc_bumper_get_geom(). values are x,y (of center) ,normal,length,curvature

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45